Bug 218768 - Review Request: poppler-extras - PDF rendering library extras (qt/qt4)
Review Request: poppler-extras - PDF rendering library extras (qt/qt4)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-12-07 09:14 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 21:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-12-07 09:14:56 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/poppler-extras.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/poppler-extras-0.5.4-1.src.rpm
Description:
PDF rendering library extras, including qt and qt4 wrappers.

This is my first quick-n-dirty attempt at building the qt/qt4 poppler wrappers.  I've done some minimal testing of the -qt wrapper with kdegraphics' kpdf, and it *seems* to work. (:
Comment 1 Bernard Johnson 2006-12-08 04:15:31 EST
Rex- 

> # yes, this file is owned by 2 packages, deal.  -- Rex

http://fedoraproject.org/wiki/Packaging/Guidelines?highlight=%28Packaging%29#head-a5931a7372c4a00065713430984fa5875513e6d4
Packages must not own files already owned by other packages. The rule of thumb
here is that the first package to be installed should own the files that other
packages may rely upon. This means, for example, that no package in Fedora
should ever share ownership with any of the files owned by the filesystem or man
package. If you feel that you have a good reason to own a file or that another
package owns, then please present that at package review time.

I think this is meant more to address having entirely different packages owning
the same file, rather than a collection of related packages sharing a file, but
I thought I'd get your take on it.
Comment 2 Rex Dieter 2006-12-08 07:59:12 EST
Yes, I'm aware of the guideline.  This is a reasonable exception, which is why I
added the pithy comment. (:

Hold off on reviewing this... the poppler maintainer seems agreeable to adding
-qt to Core (see bug #158941 comment #11), so I'll probably be modifying this
(soon) to include only the -qt4 wrapper.
Comment 3 Bernard Johnson 2006-12-08 16:10:03 EST
Ok, I will review it for you after it's modified.
Comment 4 Rex Dieter 2006-12-11 21:53:30 EST
Since the qt bindings will soon be included in the Core package, and AFAIK, 
nothing currenty needs/uses the qt4 bindings (yet), I withdraw this Review 
request.
Comment 5 Laurent Rineau 2007-10-10 16:55:11 EDT
Anybody knows anything about poppler-qt4 in Fedora? Current poppler package in 
Rawhide does not seem to be build with Qt4 support (and I would love to test 
Okular...).
Comment 6 Rex Dieter 2007-10-11 10:09:59 EDT
Laurent, see bug #327691

Note You need to log in before you can comment on or make changes to this bug.